Ionic-Firebase app Error: Cannot find module '../plugman/platforms/ios'

Getting the above error in my ionic app build after following the instructions on the following Authenticate Using OAuth Providers with Cordova.

After some searching on the web, I ended up at the following repo ionic-plugin-deeplinks.

Seems like it no longer being maintained. Does anyone else have this problem? Any solutions?

ionic info cli packages: (/usr/local/lib/node_modules)

@ionic/cli-utils  : 1.19.0
ionic (Ionic CLI) : 3.19.0

global packages:

cordova (Cordova CLI) : 7.1.0

local packages:

@ionic/app-scripts : 3.1.2
Cordova Platforms  : ios 4.5.4
Ionic Framework    : ionic-angular 3.9.2

System:

ios-deploy : 1.9.2
Node       : v8.9.1
npm        : 5.5.1
OS         : macOS Sierra
Xcode      : Xcode 9.2 Build version 9C40b